# IpeUndoItem Class Reference
[Ipe Management]

Abstract base class for items on the undo stack. More...

Inherited by IpeUndoObjectEdit, IpeUndoObjInsertion, IpeUndoPageDel, IpeUndoPageEdit, IpeUndoPageIns, and IpeUndoViews.

List of all members.

## Public Member Functions

- virtual IpeString Text () const=0
- virtual int Undo (IpeDocument *doc)=0
- virtual int Redo (IpeDocument *doc)=0

## Detailed Description

Abstract base class for items on the undo stack.

The documentation for this class was generated from the following files:

- ipeundo.h
- ipeundo.cpp